//
//  ServiceCenterButtonView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import SwiftUI

struct ServiceCenterButtonView: View {
    var body: some View {
        HStack(spacing: 13.7) {
            Image("ic_headphones")
                .resizable()
                .frame(width: 26.7, height: 26.7)
            
            Text("보이스온 고객센터")
                .font(.custom(Font.bold.rawValue, size: 15.3))
                .foregroundColor(.white)
            
            Spacer()
            
            Image("ic_forward")
                .resizable()
                .frame(width: 20, height: 20)
        }
        .padding(.horizontal, 13.3)
        .frame(width: screenSize().width - 26.7, height: 66.7)
        .background(Color(hex: "13181b"))
        .cornerRadius(6.7)
        .onTapGesture {
            AppState.shared.setAppStep(step: .serviceCenter)
        }
    }
}

struct ServiceCenterButtonView_Previews: PreviewProvider {
    static var previews: some View {
        ServiceCenterButtonView()
    }
}
